import config from "../config";
import StepBasic from './StepBasic';



import React, { useEffect, useState, useContext, useRef } from 'react';
import { LangContext, BookingContext } from '../Context';

import {
    Spin, Card, Button, Checkbox, Flex, Typography, Form,
    Input, notification
} from 'antd';

import dayjs, { Dayjs } from 'dayjs';

import { fetchJSON, apiPaths } from "../fetch";
import TextArea from "antd/es/input/TextArea";

import * as EmailValidator from 'email-validator';

import FinalBooking from "../components/FinalBooking";

function StepFive({ screenType, serviceItems, canSubmit, isDisabled }) {
    const [bookingData, setBookingData] = useContext(BookingContext);
    const lang = useContext(LangContext);

    const [formData, setFormData] = useState({});
    const dsgvoCheckbox = useRef(null);
    const scrollToDsgvoCheckbox = () => dsgvoCheckbox.current.scrollIntoView({ behavior: 'smooth' });

    const canSubmitForm = formData.Name !== undefined && formData.EMail !== undefined;


    const [notificationAPI, contextHolder] = notification.useNotification();

    let chosenUser = {};

    if (bookingData.chosenUser !== null) {
        const userid = bookingData.chosenUser;
        const username = serviceItems.users[userid].name;
        chosenUser = { id: userid, name: username };
    }

    return <StepBasic
        screenType={screenType}
        storeName={serviceItems?.storeName}
        titleText={lang.Steps.StepFive.Title}
        headerColor={"var(--primary)"}
        bg={"var(--background)"}
        stepNumber={5}
        maxSteps={config.maxSteps}
        canSubmit={canSubmitForm}


        onClickNext={() => {
        }}
        onClickBack={() => {
            bookingData.currentStep = 3;
            setBookingData({ ...bookingData });
        }}>

        <Flex vertical="true" wrap="wrap" justify="space-evenly" align="center" style={{ marginTop: 10 }}>
            <div style={{ width: "100%", maxWidth: 400, flexGrow: 1 }}>

                <FinalBooking selectedUser={chosenUser} infoText={lang.Steps.StepFour.notConfirmed} infoColor={"warning"} />

            </div>
            {lang.Steps.StepFive.confirmEmail.split('\n').map((item, key) => {
                return <Typography.Text level={5} key={key} strong>{item}</Typography.Text>
            })}



        </Flex>

    </StepBasic>;
}

export default StepFive;