import "./FinalBooking.css";

import React, { useContext } from 'react';
import { LangContext, BookingContext } from '../Context';

import {
    Typography
} from 'antd';

import dayjs from 'dayjs';


function FinalBooking({ selectedUser, infoText, infoColor }) {
    const [bookingData, setBookingData] = useContext(BookingContext);
    const lang = useContext(LangContext);


    let dateText = lang.Steps.StepFour.date;
    dateText = dateText.replaceAll("{day}", lang.date.weekdays[bookingData.selectedDate.day().toString()]);
    dateText = dateText.replaceAll("{dayNumber}", bookingData.selectedDate.date());
    dateText = dateText.replaceAll("{month}", lang.date.months[bookingData.selectedDate.month().toString()]);
    dateText = dateText.replaceAll("{year}", bookingData.selectedDate.year());

    let timeText = lang.Steps.StepFour.time;
    timeText = timeText.replaceAll("{0}", bookingData.selectedTime.format(lang.date.timeFormat));
    timeText = timeText.replaceAll("{1}", dayjs(bookingData.selectedTime).add(bookingData.selectedService.duration * 60 * 1000).format(lang.date.timeFormat));


    return <div className="myBookingWidget" >
        <Typography.Text strong style={{ color: "var(--primary)" }}>{lang.Steps.StepFour.yourDate}</Typography.Text>
        <Typography>{lang.Steps.StepFour.what.replaceAll("{0}", bookingData.selectedService.name).replaceAll("{1}", selectedUser.name)}</Typography>
        <Typography>{dateText}</Typography>
        <Typography>{timeText}</Typography>
        <Typography.Text strong type={infoColor}>{infoText}</Typography.Text>

    </div>;
}

export default FinalBooking;