import config from "./config";

const apiPaths = {
    "freeNextDays": "/freeNextDaysByActivity",
    "freeAtDay": "/freeByActivity",
    "services": "/services",
    "booking": "/booking",
}

let fetchPart = {};

async function fetchJSON(url, data, options, { key }) {
    const urlParams = new URLSearchParams(window.location.search);
    const storeID = urlParams.get('id');

    let timeOutTime = 500;

    if (key === "services") {
        timeOutTime = 50;
    }


    return new Promise((resolve, reject) => {
        if (fetchPart[key] !== undefined) {
            clearTimeout(fetchPart[key].delay);
        }

        const delay = setTimeout(() => {
            resolve(fetch(config.backend_url + url, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify({ store_id: storeID, ...data }),
                ...options
            }).then(response => response.json()));
        }, timeOutTime);

        fetchPart[key] = { delay };
    });
}

export { fetchJSON, apiPaths };